<?php

header('Content-type: text/html; charset=UTF-8');

@ini_set('magic_quotes_runtime', 0);
@ini_set('magic_quotes_sybase', 0);
set_magic_quotes_runtime(0);

if ($_REQUEST['value']) {
    echo htmlentities(nl2br($_REQUEST['value']));
    exit;
}

?>
<html>

<head>

    <script language="javascript" type="text/javascript" src="js/jquery.js"></script>
    <script language="javascript" type="text/javascript" src="js/jquery.livequery.js"></script>
    <script language="javascript" type="text/javascript" src="js/jquery.jeditable.js"></script>
    <script language="javascript" type="text/javascript" src="js/jquery.autogrow.js"></script>
    <script language="javascript" type="text/javascript" src="js/jquery.jeditable.autogrow.js"></script>
    <script language="javascript" type="text/javascript" src="js/jquery.ui.js"></script>

 <script language="javascript" type="text/javascript">
//<!--

var scale = 1;
var rotate = 360;
var zindex = 0;

var clicked = false;
var obj = null;

function getRand(min, max) {
    return Math.random() * (max - min) + min;
}

$(document).ready(function(){

    $(".postit").draggable();

    $('.hand-rotate').livequery('dblclick', function() {

        var pos = $(this).parent('.postit').position();
        var top = pos.top + getRand(50, 60);
        var left = pos.left + getRand(40, 60);

        var newobj = $('.postit').clone().insertAfter($(this).parent('.postit'));

        $(newobj).css('top', top);
        $(newobj).css('left', left);
        $(newobj).css('-moz-transform', 'rotate(' + getRand(-10, 10) + 'deg) scale(' + scale + ')');

        $(".postit").draggable();
    });

    $('.hand-rotate, .hand-scale').livequery('mousedown', function(e) {
        clicked = $(this).attr('class').substr(5);

        xpos = e.pageX;
        obj = this;

        $(obj).parent('.postit').draggable('disable');
    });

    $('*').livequery('mousemove', function(e) {

        if (clicked == 'rotate') {

            var offset = Math.abs(e.pageX - xpos);
            if (e.pageX > xpos) {
                rotate = rotate + offset;
            } else if (e.pageX < xpos) {
                rotate = rotate - offset;
            }

            $(obj).parent('.postit').css('-moz-transform', 'rotate(-' + rotate + 'deg) scale(' + scale + ')');
            xpos = e.pageX;

        } else if (clicked == 'scale') {

            var offset = Math.abs(e.pageX - xpos) / 100;
            if (e.pageX > xpos) {
                scale = scale + offset;
            } else if (e.pageX < xpos) {
                scale = scale - offset;
            }

            if (scale <= 0) {
                scale = 0.1;
            }

            $(obj).parent('.postit').css('-moz-transform', 'rotate(-' + rotate + 'deg) scale(' + scale + ')');
            xpos = e.pageX;
        }

//        $('#dbug').html($(obj).parent('.postit').css('-moz-transform'));
    });

    $('*').livequery('mouseup', function(e) {
        if (clicked) {
            clicked = null;
            $(obj).parent('.postit').draggable('enable');
            obj = null;
        }
    });

    $('.postit').livequery('click', function() {
        $(this).css('z-index', zindex++);
    });

    $('.content').livequery('click', function() {
        $(this).editable('?', {
            tooltip     : 'Click to add',
            loaddata    : '?value=' + $(this).val(),
            style       : 'inherit',
            type        : 'textarea',
            submit      : 'Ok',
            cancel      : 'Cancel',
        })
    });
});

//-->
</script>

<style>

.postit {
    -moz-border-image: url(postit.png) 0 0 0 0;
    -moz-transform: rotate(-15deg);
    -moz-transform-origin: top center;

/*   -moz-transform: scale(2) rotate(none);*/
    width: 200px;
    min-height: 200px;

    position: absolute;
    top: 50px;
    left: 50px;

    padding: 60px;
}

.content {
    margin-top: 15px;
    min-height: 150px;
}

.hand-rotate {
    position: absolute;
    top: 14px;
    left: 150px;
    width: 20px;
    min-height: 20px;
}

.hand-scale {
    position: absolute;
    bottom: 25px;
    right: 38px;
    width: 20px;
    min-height: 20px;
}

</style>

</head>

<body>

<div id="dbug"></div>

<div class="postit">
    <div class="content">Coucou !</div>
    <div class="hand-rotate">
    </div>
    <div class="hand-scale">
    </div>
</div>

</body>

</html>
